CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GlobalSearchEngine Class Reference

## Public Member Functions
| __construct ()
| Constructs a GlobalSearchEngine object. More...
| Search ($SearchString, $StartingResult=0, $NumberOfResults=10)
| Performs a keyword search using a specified search string and returns the results, starting with the one numbered with the starting result (default 0) and continuing until reaching the desired number of results (default 10). More...
| NumberOfResults ()
| Gets the number of results returned in the last search. More...
| SearchTime ()
| Gets the time taken to perform the previous search, in microseconds. More...

## Detailed Description

Definition at line 18 of file GlobalSearchEngine.php.

## Constructor & Destructor Documentation

GlobalSearchEngine::__construct | ( |  | ) |

Constructs a GlobalSearchEngine object.

Definition at line 26 of file GlobalSearchEngine.php.

## Member Function Documentation

GlobalSearchEngine::NumberOfResults | ( |  | ) |

Gets the number of results returned in the last search.

Returns
  The number of results returned in the the last search.

Definition at line 63 of file GlobalSearchEngine.php.

GlobalSearchEngine::Search | ( |  | $SearchString,
|  |  | $StartingResult = `0`,
|  |  | $NumberOfResults = `10`
| ) |  |

Performs a keyword search using a specified search string and returns the results, starting with the one numbered with the starting result (default 0) and continuing until reaching the desired number of results (default 10).

Parameters

  string | $SearchString | The string to search for.
  int | $StartingResult | The number of the starting result. (OPTIONAL)
  int | $NumberOfResults | The number of results to return. (OPTIONAL)

Returns
  The results of the specified search.

Definition at line 40 of file GlobalSearchEngine.php.

GlobalSearchEngine::SearchTime | ( |  | ) |

Gets the time taken to perform the previous search, in microseconds.

Returns
  The time taken to perform the previous search.

Definition at line 72 of file GlobalSearchEngine.php.

References StdLib\SortCompare().

The documentation for this class was generated from the following file:

- objects/GlobalSearchEngine.php